edu.sc.seis.sod.subsetter.origin

## Class MagnitudeRange

- java.lang.Object
- - edu.sc.seis.sod.subsetter.RangeSubsetter
  - - edu.sc.seis.sod.subsetter.origin.MagnitudeRange

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public class MagnitudeRange
      extends RangeSubsetter
      implements OriginSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.RangeSubsetter

      `DEFAULT_MAX, DEFAULT_MIN, max, min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MagnitudeRange()`
    `MagnitudeRange(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl origin)`
    `edu.iris.Fissures.IfEvent.Magnitude[]` | `getAcceptable(edu.iris.Fissures.IfEvent.Magnitude[] mags)`
    `java.lang.String[]` | `getContributors()`
    `java.lang.String[]` | `getSearchTypes()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.RangeSubsetter

      `accept, acceptMax, acceptMin, getMaxValue, getMinValue, parseConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MagnitudeRange

          public MagnitudeRange()

    - #### MagnitudeRange

          public MagnitudeRange(org.w3c.dom.Element config)
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl origin)

      Specified by:
        `accept` in interface `OriginSubsetter`

    - #### getSearchTypes

          public java.lang.String[] getSearchTypes()

    - #### getContributors

          public java.lang.String[] getContributors()

    - #### getAcceptable

          public edu.iris.Fissures.IfEvent.Magnitude[] getAcceptable(edu.iris.Fissures.IfEvent.Magnitude[] mags)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RangeSubsetter`